Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sos.koa
Class AuditLogInputSource

    java.lang.Object
      org.xml.sax.InputSource
          sos.koa.AuditLogInputSource

public class AuditLogInputSource
extends org.xml.sax.InputSource

The input source for the audit log.

Version:
  $Id: AuditLogInputSource.java,v 1.3 2004/05/04 19:51:51 martijno Exp $
Author:
  Engelbert Hubbers (hubbers@cs.kun.nl)

Field Summary
`private AuditLog` | `auditLog`

Fields inherited from class org.xml.sax.InputSource
``

Constructor Summary
`AuditLogInputSource()`
`AuditLogInputSource(AuditLog auditLog)` Constructor for the AuditLogInputSource

Method Summary
`AuditLog` | `getAuditLog()` Returns the auditLog.
`void` | `setAuditLog(AuditLog auditLog)` Sets the auditLog.

Methods inherited from class org.xml.sax.InputSource
`getByteStream, getCharacterStream, getEncoding, getPublicId, getSystemId, setByteStream, setCharacterStream, setEncoding, setPublicId, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### auditLog

    private AuditLog auditLog

Constructor Detail

### AuditLogInputSource

    public AuditLogInputSource(AuditLog auditLog)

  Constructor for the AuditLogInputSource

  Parameters:
    `auditLog` - The AuditLog object to use

### AuditLogInputSource

    public AuditLogInputSource()

Method Detail

### getAuditLog

    public AuditLog getAuditLog()

  Returns the auditLog.

  Returns:
    AuditLog

### setAuditLog

    public void setAuditLog(AuditLog auditLog)

  Sets the auditLog.

  Parameters:
    `auditLog` - The auditLog to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD